<?php
	$StrHWND_COT=$_SESSION['SYS_HW']."_COT";
	//------------+++++++++++
	$StrDATA=V($_POST['TxtDAT']);
	$StrId=V($_POST['TxtId']);
	$StrCmd=V($_POST['TxtAc']);
	//
	$P_C="CboEmp";
	//
	$DR=vbval(V($_POST['TxtDR']));
	$Str_PRI=vbval(V($_POST['Ch_PRI']));
	//
	if(strlen($StrCmd)==0){
		$StrCmd=V($_GET['TxtAc']);
		if($StrCmd=="X"){
			$Str_PRI="1";			
			$StrCmd="C";
		}
	}
	if($StrCmd=="UP"){		
		$LStrFoc="document.getElementById('TxtCod').focus();";
		$StrGT="S";
	}
	//-------------------------
	$StrNew="NO";
	if(strlen($StrNew)==0)$StrNew="NO";
	$StrEmp=V($_POST['CboEmp']);
	$StrAlm=V($_POST['CboAlm']);
	//
	if($PRO_ID_ALM==0){
		if(strlen($StrEmp)==0)$StrEmp=GE("N");
		if(strlen($StrAlm)==0)$StrAlm=GA($StrEmp,"N");	
	}else{
		$StrEmp=gs("ENC","vis_almacenes","IDA=$PRO_ID_ALM");
		$StrAlm=gs("ANC","vis_almacenes","IDA=$PRO_ID_ALM");
	}
	//
	$BIT_STOCK=V($_POST['BIT_STOCK']);
	$BIT_STOCK_USU=V($_POST['BIT_STOCK_USU']);
	$BIT_PRECIO=V($_POST['BIT_PRECIO']);
	$BIT_PRECIO_USU=V($_POST['BIT_PRECIO_USU']);
	//
	$CueEmp=V($_POST['CueEmp']);
	$StrFec=V($_POST['TxtFec']);
	$StrCom=V($_POST['CboCom']);
	$StrSer=V($_POST['TxtSer']);
	$StrNum=V($_POST['TxtNum']);
	$StrTdp=V($_POST['CboTdp']);
	$StrAcu=V($_POST['TxtACuenta']);
	$StrMon=V($_POST['CboMon']);
	$StrVue=V($_POST['TxtVuelto']);	
	$StrVen=V($_POST['CboVen']);
	$StrMod=V($_POST['CboMod']);
	$SerNum=V($_POST['SerNum']);
	//
	$StrTReal=V($_POST['TxtTReal']);
	$StrTDes=V($_POST['TxtTDes']);
	//
	$StrDocR=V($_POST['CboDocR']);
	$StrEmpR=V($_POST['CboEmpR']);
	$StrNumR=V($_POST['TxtNumR']);
	$STR_DR=V($_POST['TXT_DR']);
	//
	if(strlen($StrMon)==0)$StrMon="SOLES";
	//
	
	$Str_DES="0";
	$Str_VER=vbval(V($_POST['Ch_VER']));
	//
	$StrSto="";
	$StrSto_=gn("id_almacen","almacenes","alm_obs='$StrSto'");
	//		
	$StrRuc=V($_POST['TxtRuc']);	
	$StrNPed=V($_POST['TxtNPed']);
	$StrContacto=V($_POST['TxtCon']);
	$StrN_INC=V($_POST['ChN_INC']);
	$StrN_AUTO=V($_POST['ChN_AUTO']);
	$StrCliente=V($_POST['TxtCliente']);
	$StrRuc=V($_POST['TxtRuc']);
	$StrIdCliente=V($_POST['TxtIdCliente']);
	if(strlen($StrIdCliente)==0)$StrIdCliente="0";
	$StrTotal=V($_POST['T_Importe']);
	$StrCUni=vbval(V($_POST['TxtCUni']));
	//------------------------
	$StrPro_ID=V($_POST['Pro_TxtId']);
	$StrPro_PR=V($_POST['TxtPre']);
	$StrPro_CA=V($_POST['TxtCant']);	
	//------------------------
	$Pro_TxtDes=V($_POST['Pro_TxtDes']);
	$Pro_TxtPre=V($_POST['Pro_TxtPre']);
	$Pro_TxtPreM=V($_POST['Pro_TxtPreM']);
	$Pro_TxtCod=V($_POST['Pro_TxtCod']);
	$Pro_TxtMarca=V($_POST['Pro_TxtMarca']);
	//------------------------
	if(strlen($StrFec)==0)$StrFec=date("d-m-y");	
	if(strlen($StrPro_ID)==0 || !is_numeric($StrPro_ID)) $StrPro_ID="0";
	if(strlen($StrPro_PR)==0 || !is_numeric($StrPro_PR)) $StrPro_PR="0";
	if(strlen($StrPro_CA)==0 || !is_numeric($StrPro_CA)) $StrPro_CA="0";
	if(strlen($StrN_INC)==0){
		$StrN_INC="0";
	}else{
		$StrN_INC="1";
	}
	//-----------------------	
	if($StrN_AUTO=="1" || $StrCmd=="X"){
		$StrN_AUTO="1";		
	}else{
		$StrN_AUTO="0";
	}
	//------------------------
	$StrCod=V($_POST['TxtCod']);
	$StrDes=V($_POST['TxtDes']);
	$StrMARCA=V($_POST['TxtMarca']);
	$StrPre=V($_POST['TxtPre']);
	$StrDscto=V($_POST['TxtDscto']);
	$StrCant=V($_POST['TxtCant']);
	$StrImp=V($_POST['TxtImp']);
	//-------------------------
	$StrTC=gs("valor","valores","dato='T_CAMBIO'");
	//-------------------------
	//ACTIVAR DESDE OTRA PAGINA
	if(strlen($StrId)==0){
		$StrId=V($_GET['Id']);
		if(is_numeric($StrId)==false){
			$StrId="";
		}else{
			$StrCmd="AR";
			$LStrPag=V($_GET['Pag']);
			if(!is_numeric($LStrPag)){
				$LStrPag="";
			}
		}
	}
	
	//FUNCIONES DE DESZPLAZAMIENTO
	if(strlen($LStrPag)==0)$LStrPag="0";
	if($StrCmd=="MSig")$LStrPag=($LStrPag+1);
	if($StrCmd=="MAnt")$LStrPag=($LStrPag-1);
	if($StrCmd=="MPri")$LStrPag=0;
	if($StrCmd=="MUlt")$LStrPag=(floor($LStrTR / $VP_RegXPag) );
	//FUNCION PARA ACTIVAR UN REGISTRO
	if(strlen($StrId)>0 && $StrCmd=="AR"){
		$StrNew="NO";
		$Id=$StrId;
		$vv="vcotizaciones";
		$cc="ID=$Id";
		$StrEmp=gs("EMPC",$vv,$cc);
		$StrAlm=gs("ALM",$vv,$cc);
		$StrFec=gs("DATE_FORMAT(FEC,'%d-%m-%y')",$vv,$cc);		
		$StrSer=gs("SER",$vv,$cc);
		$StrNum=gs("NUM",$vv,$cc);
		$StrMon=gs("MON",$vv,$cc);
		if($StrMon=="S") $StrMon="SOLES";
		if($StrMon=="D") $StrMon="DOLARES";
		$StrIdCliente=gn("IDCLI",$vv,$cc);
		$StrCliente=gs("CLI",$vv,$cc);
		$StrRuc=gs("RUC",$vv,$cc);
		if(strlen($StrRuc)==0){
			$StrRuc=gs("DNI",$vv,$cc);
		}
		
		$StrNPed=gs("NPED",$vv,$cc);
		$StrContacto=gs("CONT",$vv,$cc);
		$StrN_INC=gs("IIG",$vv,$cc);
		$Str_PRI=gs("cot_pri","cotizaciones","id_cotizacion=$Id");
		$Str_DES=gs("cot_des","cotizaciones","id_cotizacion=$Id");
		$Str_VER=gs("cot_ver","cotizaciones","id_cotizacion=$Id");
		$StrSto_=gn("cot_id_alm","cotizaciones","id_cotizacion=$Id");
		$StrVen=gs("VEN","vcotizaciones","ID=$Id");
		$StrTdp=gs("TDP","vcotizaciones","ID=$Id");
		$StrAcu=gn("ACU","vcotizaciones","ID=$Id");		
		$StrVue=gn("VUE","vcotizaciones","ID=$Id");
		$StrSal=gn("SAL","vcotizaciones","ID=$Id");	
		$StrMod=gs("MODAL","vcotizaciones","ID=$Id");
		$StrTReal=gn("TOT_DES","vcotizaciones","ID=$Id");
		$StrTDes=gn("TOT_DES","vcotizaciones","ID=$Id");
		$StrNumR="";
		$STR_DR="";
		$StrDocR=gs("COM_DOC","vcotizaciones","ID=$Id");
		$StrEmpR=gs("COM_EMP","vcotizaciones","ID=$Id");
		$CueEmp=gn("cue_id_emp","cotizaciones","id_cotizacion=$Id");
		$CueEmp=gs("emp_nomc","empresas","id_emp=$CueEmp");
		//
		if(strlen($StrDocR)>0){
			$StrNumR=gs("CONCAT(COM_SER,'-',COM_NUM)","vcotizaciones","ID=$Id");
			$STR_DR=$StrDocR;
		}
		
		if(strlen($StrMod)==0)$StrMod="EFECTIVO";		
		ejt("DELETE FROM temp_compras2 WHERE cod_temc='$StrHWND_COT'");
		$s="SELECT * FROM cotizaciones_det WHERE id_cotizacion=$Id ORDER BY cx";		
		$cx=0;
		$rs = grs($s);			
		while ($row = $rs->fetch_assoc()){
			$cx++;
			$AR_ID=$row['id_producto'];
			$AR_CA=$row['ca'];
			$AR_PR=$row['pr'];
			$AR_IM=$row['im'];
			$AR_DT=$row['dt'];
			$AR_CO=$row['cod'];
			$AR_DE=$row['des'];
			$AR_CU=$row['can_uni'];
			$bit_stock=$row['bit_stock'];
			$bit_stock_usu=$row['bit_stock_usu'];
			$bit_precio=$row['bit_precio'];
			$bit_precio_usu=$row['bit_precio_usu'];
			$s="INSERT INTO temp_compras2 VALUES ('$StrHWND_COT',
			   $AR_ID,$AR_CA,$AR_PR,$AR_IM,$cx,
			   '$AR_CO','$AR_DE',$AR_DT,$AR_CU,
			   $bit_stock,$bit_stock_usu,$bit_precio,$bit_precio_usu)";			
			ejt($s);
			//echo $s."<br>";
			//++
		}
		$_ID=gn("count(*)","ventas","ven_id_com=-3 AND ven_id_ven=$Id AND anu='N'");
		if($_ID>0){
			$DR=$_ID;
		}else{
			$_ID=gn("count(*)","ginterna","gi_id_cotizacion=$Id AND gi_anu='N'");
			if($_ID>0){
				$DR=$_ID;
			}else{
				$_ID=gn("count(*)","guias","id_comr=-3 AND id_ref=$Id AND anu='N'");
			}
		}
		if(COT_V_MR($Id)){
			$M_S=false;				
		}
		if(COT_V_CR($Id)){
			$M_C=false;
			$M_S=false;		
		}
	}
	//
	if($StrCmd=="LOADX"){
		ejt("DELETE FROM temp_compras2 WHERE cod_temc='$StrHWND_COT'");
		$StrDocR="";
		$StrEmpR="";
		$StrNumR="";
		$STR_DR="";
	}
	//
	if($StrCmd=="LOAD"){
		$ID=COT_GET_ID_COMPRA($StrDocR,$StrEmpR,$StrNumR);
		//
		ejt("DELETE FROM temp_compras2 WHERE cod_temc='$StrHWND_COT'");
		$s="SELECT * FROM compras_det WHERE id_compra=$ID ORDER BY cx";
		$cx=0;
		$rs = grs($s);			
		while ($r = $rs->fetch_assoc()){
			$cx++;
			$AR_ID=$r['id_producto'];
			$AR_CA=$r['ca'] - $r['cv'];
			$AR_CU=$r['can_uni'];
			$AR_PR=gn("pro_pv_max","productos","id_producto=$AR_ID");
			$AR_IM=round($AR_CA * $AR_CU * $AR_PR,2);
			$AR_DT=0;
			$AR_CO=gs("pro_codigo","productos","id_producto=$AR_ID");
			$AR_DE=gs("pro_des","productos","id_producto=$AR_ID");
								
			$s="INSERT INTO temp_compras2 VALUES ('$StrHWND_COT',
			   $AR_ID,$AR_CA,$AR_PR,$AR_IM,$cx,
			   '$AR_CO','$AR_DE',$AR_DT,$AR_CU)";			
			ejt($s);				
		}
		$STR_DR=$StrDocR;	
	}
	//
	if($StrCmd=="KCH"){
		$DAT = explode(',',$StrDATA);
		$i=0;
		for($i=0;$i<count($DAT);$i++){
			$STR_INDEX=vbval($DAT[$i]);
			ejt("DELETE FROM temp_compras2 WHERE 
				temc_index=$STR_INDEX AND cod_temc='$StrHWND_COT'");
		}		
		$LStrFoc="document.getElementById('TxtCod').focus();";						
		$StrGT="S";	
		$StrVuelto="0.0";
		$StrPagarCon="0";	
		$StrCUni="";	
	}
	//
	if($StrCmd=="C"){
		ejt("DELETE FROM temp_compras2 WHERE cod_temc='$StrHWND_COT'");
		$CLS="S";	
	}
	//
	if($StrCmd=="KILLER"){
		ejt("DELETE FROM temp_compras2 WHERE 
				temc_index=$StrPro_ID AND cod_temc='$StrHWND_COT'");
		$LStrFoc="document.getElementById('TxtCod').focus();";						
		$StrGT="S";	
		$StrNew="NO";				
	}
	//
	if($StrCmd=="ADD"){
		//
		$BIT_STOCK=vbval($BIT_PRECIO);
		$BIT_STOCK_USU=gn("id_usuario","usuarios","nom='$BIT_STOCK_USU'");
		$BIT_PRECIO=vbval($BIT_PRECIO);
		$BIT_PRECIO_USU=gn("id_usuario","usuarios","nom='$BIT_PRECIO_USU'");
		//	
		if(strlen($StrDscto)==0)$StrDscto="0";
		if(!is_numeric($StrDscto))$StrDscto="0";
		if($StrNew=="NO"){
			if($StrPro_ID==0){
				$LStrMsg="No se puede determinar el ID del producto";
				$LStrFoc="document.getElementById('TxtCod').focus();";						
				$StrGT="S";			
			}
		}else{
			if(strlen($StrCod)>0){
				$T_ID=gn("ID","vproductos","COD='$StrCod'");
				if($T_ID>0){
					$LStrMsg="El codigo del producto ya existe por lo tanto ".
							 "no se puede proceder con esta modalidad *Es nuevo*";
					$LStrFoc="document.getElementById('TxtCod').focus();";						
					$StrGT="S";								
				}else{
					$StrPro_CA=$StrCant;
					$StrPro_ID="0";
				}
			}
		}
		if(strlen($StrGT)==0){
			if($StrPro_CA==0){
				$LStrMsg="La cantidad debe ser mayor a cero";
				$LStrFoc="document.getElementById('TxtCant').focus();";						
				$StrGT="S";							
			}
		}
		if(strlen($StrGT)==0){
			if(gn("count(*)","temp_compras2",
				  "temc_id_producto=$StrPro_ID AND ".
				  "cod_temc='$StrHWND_COT' AND ".
				  "can_uni=$StrCUni")>0){
				$LStrMsg="El producto que desea agregar ya se encuentra en la lista";
				$LStrFoc="document.getElementById('TxtCod').focus();";						
				$StrGT="S";	
			}
		}

		if(strlen($StrGT)==0){
			$StrImporte=round($StrCUni * $StrPro_CA * ($StrPro_PR -$StrDscto),2);
			$StrIndex=GenId("temc_index","temp_compras2");
			$s="INSERT INTO temp_compras2 VALUES ('$StrHWND_COT',
				$StrPro_ID,$StrPro_CA,$StrPro_PR,
				$StrImporte,$StrIndex,'$StrCod',
				'$StrDes',0,$StrCUni,
				$BIT_STOCK,$BIT_STOCK_USU,$BIT_PRECIO,$BIT_PRECIO_USU)";			
			ejt($s);
			$StrCant="";
			$StrPre="";
			$StrDes="";
			$StrMARCA="";
			$StrCod="";
			$StrImp="";
			$StrDscto="";
			$StrCUni="";
			$Pro_TxtDes="";
			$Pro_TxtPre="";
			$Pro_TxtPreM="";
			$Pro_TxtCod="";
			$Pro_TxtMarca="";	
			$LStrFoc="document.getElementById('TxtCod').focus();";						
			$StrGT="S";	
			$StrNew="NO";
		}
	}
	//
	if(($StrCmd=="G" || $StrCmd=="M") && strlen($StrGT)==0){		
		$StrEmp_=gn("id_emp","empresas","emp_nomc='$StrEmp'");
		$StrTdp_=gs("id_tip_pag","tipos_pagos","tipp_nombre='$StrTdp'");
		$StrAcu=vbval($StrAcu);
		$StrMon_=gs("id_moneda","monedas","mon_nombre='$StrMon'");
		$StrVue=vbval($StrVue);
		$StrSal=vbval($StrSal);
		$StrVen_=gn("id_personal","personal","per_nombre='$StrVen'");		
		$StrAlm_=gn("id_almacen","almacenes",
		"alm_obs='$StrAlm' AND 	alm_id_empresa=$StrEmp_");
		$StrCom_=gn("id_comprobante","comprobantes","com_nombre='$StrCom'");
		$StrMon_=substr($StrMon,0,1);		
		if(gn("count(*)","temp_compras2","cod_temc='$StrHWND_COT'")==0){
			$LStrMsg="La lista de productos esta vacia";
			$LStrFoc="document.getElementById('TxtCod').focus();";						
			$StrGT="S";
		}
		$CueEmp_=gn("id_emp","empresas","emp_nomc='$CueEmp'");
	}
	//++
	if(($StrCmd=="G" || $StrCmd=="M") && strlen($StrGT)==0){
		$s="SELECT * FROM temp_compras2 
			WHERE cod_temc='$StrHWND_COT' ORDER BY temc_index";
		$rv = grs($s);			
		$cx=0;			
		while ($v = $rv->fetch_assoc()){
			$VE_CAN=$v['temc_cant'];
			$VE_PRE=$v['temc_precio'];
			$VE_PIE=$v['can_uni'];
			//
			if($VE_CAN<=0){
				$LStrMsg="Las cantidades deben ser mayores a cero";
				$LStrFoc="document.getElementById('TxtCod').focus();";						
				$StrGT="S";
				break;
			}
			//
			if($VE_PIE<=0){
				$LStrMsg="La cantidad de piezas deben ser mayor a cero";
				$LStrFoc="document.getElementById('TxtCod').focus();";						
				$StrGT="S";
				break;
			}
			//
			if($VE_PRE<0){
				$LStrMsg="Los precios no pueden ser negativos";
				$LStrFoc="document.getElementById('TxtCod').focus();";						
				$StrGT="S";
				break;
			}
			//
		}
	}
	//
	if($StrCmd=="ENV_PDF"){
		$_ID=$StrId;
		$_EMA=gs("EMA","vcotizaciones","ID=$_ID");
		if(strlen($_EMA)==0){
			$LStrMsg="El presente cliente no tiene un email registrado";
			$LStrFoc="document.getElementById('TxtCliente').focus();";						
			$StrGT="S";
		}
		if(strlen($StrGT)==0){
			$_PDF=PDF_COTI($_ID);
			$StrTit="LQ Import Export";
			$StrAsunto="Cotizacion";
			$StrCliente=gs("CLI","vcotizaciones","ID=$_ID");
			$StrEmail=$_EMA;
			$StrTexto="Saludos, aqui le hacemos presente nuestra cotizacion";
			$StrF1=$_PDF;
			$StrF2="";
			EnviarEmail($StrTit,$StrAsunto,$StrCliente,$StrEmail,$StrTexto,$StrF1,$StrF2);
			$LStrMsg="El email ha sido enviado a $StrEmail";
			$LStrFoc="document.getElementById('TxtCliente').focus();";						
			$StrGT="S";
		}
	}	
	//
	if($StrCmd=="E" && strlen($StrGT)==0){		
		if(COT_V_MEA_23($StrId)!="OK"){
			$LStrMsg="El presente registro esta relacionado por lo tanto NO SE PUEDE ELIMINAR";
			$LStrFoc="document.getElementById('TxtFec').focus();";						
			$StrGT="S";	
		}else{
			$TP_CX=0;
			$TP_AR[0]=0;
			$_DES=gs("cot_des","cotizaciones","id_cotizacion=$StrId");
			$_IDC=gn("id_compra","cotizaciones","id_cotizacion=$StrId");						
			$_ALM=gn("cot_id_alm","cotizaciones","id_cotizacion=$StrId");
			$s="SELECT id_producto,ca,can_uni FROM cotizaciones_det ".
			   "WHERE id_cotizacion=$StrId ORDER BY cx";
			$result = grs($s);			
			$cx=0;			
			while ($row = $result->fetch_row()){
				$_PI=$row[0];
				$_CA=$row[1];
				$_UN=$row[2];
				if(vbval($_DES)==1){	
					STOCK_ADD($_ALM,$_PI,$_CA * $_UN);
					ZTOCK_ADD($_ALM,$_PI,$_CA,$_UN);
				}
				$TP_CX++;$TP_AR[$TP_CX]=$_PI;
			}			
			if($_IDC>0){
				$s="SELECT id_producto,ca,can_uni FROM cotizaciones_det ".
				   "WHERE id_cotizacion=$StrId ORDER BY cx";
				$rs = grs($s);			
				$cx=0;			
				while ($r=$rs->fetch_row()){
					$_PI=$r[0];
					$_CA=$r[1];
					$_UN=$r[2];
					$s="UPDATE compras_det SET cv=cv - $_CA
					    WHERE id_compra=$_IDC AND id_producto=$_PI AND can_uni=$_UN";
					ejt($s);
				}
			}
			//
			$qqq=ejt("DELETE FROM cotizaciones WHERE id_cotizacion=$StrId");
			//BIT
			$_BIT_MOD_ID=$StrId;
			$_BIT_SQL_CAB=$qqq;
			$_BIT_SQL_DET="";
			$_BIT_PHP="cotizaciones.php";
			$_BIT_ID=BIT_ADD("VENTAS","PROFORMAS","ELIMINAR",$_BIT_MOD_ID,$_BIT_SQL_CAB,$_BIT_SQL_DET,$_BIT_PHP);
			BIT_DET_ADD($_BIT_ID,$qqq);
			//BIT
			$qqq=ejt("DELETE FROM cotizaciones_det WHERE id_cotizacion=$StrId");
			BIT_DET_ADD($_BIT_ID,$qqq);
			//
			for($i=1;$i<=$TP_CX;$i++){
				T_P_ACT($TP_AR[$i]);
			}
			//+++++++
			ejt("DELETE FROM temp_compras2 WHERE cod_temc='$StrHWND_COT'");
			$LStrMsg="Los datos han sido eliminados";
			$LStrFoc="document.getElementById('$P_C').focus();";						
			$StrGT="S";
			$CLS="S";
		}
	}	
	//++++
	if($StrCmd=="A"){		
		if(COT_V_MEA_23($StrId)!="OK"){
			$LStrMsg="El presente registro esta relacionado por lo tanto NO SE PUEDE ANULAR";
			$LStrFoc="document.getElementById('TxtFec').focus();";						
			$StrGT="S";	
		}else{	
			$TP_CX=0;
			$TP_AR[0]=0;
			$_DES=gs("cot_des","cotizaciones","id_cotizacion=$StrId");
			$_IDC=gn("id_compra","cotizaciones","id_cotizacion=$StrId");		
			$_ALM=gn("cot_id_alm","cotizaciones","id_cotizacion=$StrId");
			$s="SELECT id_producto,ca,can_uni FROM cotizaciones_det ".
			   "WHERE id_cotizacion=$StrId ORDER BY cx";
			$result = grs($s);			
			$cx=0;			
			while ($row = $result->fetch_row()){
				$_PI=$row[0];
				$_CA=$row[1];
				$_UN=$row[2];
				if(vbval($_DES)==1){
					STOCK_ADD($_ALM,$_PI,$_CA * $_UN);
					ZTOCK_ADD($_ALM,$_PI,$_CA,$_UN);
				}
				$TP_CX++;$TP_AR[$TP_CX]=$_PI;					
			}			
			if($_IDC>0){
				$s="SELECT id_producto,ca,can_uni FROM cotizaciones_det ".
				   "WHERE id_cotizacion=$StrId ORDER BY cx";
				$rs = grs($s);			
				$cx=0;			
				while ($r=$rs->fetch_row()){
					$_PI=$r[0];
					$_CA=$r[1];
					$_UN=$r[2];
					ejt("UPDATE compras_det SET cv=cv - $_CA
					     WHERE id_compra=$_IDC AND id_producto=$_PI AND can_uni=$_UN");
				}
			}
			//
			$qqq=ejt("UPDATE cotizaciones SET anu='S' WHERE id_cotizacion=$StrId");
			//BIT
			$_BIT_MOD_ID=$StrId;
			$_BIT_SQL_CAB=$qqq;
			$_BIT_SQL_DET="";
			$_BIT_PHP="cotizaciones.php";
			$_BIT_ID=BIT_ADD("VENTAS","PROFORMAS","ANULAR",$_BIT_MOD_ID,$_BIT_SQL_CAB,$_BIT_SQL_DET,$_BIT_PHP);
			BIT_DET_ADD($_BIT_ID,$qqq);
			//BIT
			for($i=1;$i<=$TP_CX;$i++){
				T_P_ACT($TP_AR[$i]);
			}
			//
			ejt("DELETE FROM temp_compras2 WHERE cod_temc='$StrHWND_COT'");
			$LStrMsg="La cotizacion ha sido anulada";
			$LStrFoc="document.getElementById('$P_C').focus();";						
			$StrGT="S";
			$CLS="S";	
		}
	}
	//++++++++
	if($StrCmd=="CP"){
		$AUTOR=V($_POST['BIT_AUTOR']);
		$Id_P=gs("ID","vcotizaciones","SER_NUM='$SerNum' AND EMPC='$StrEmp'");
		if(strlen($Id_P)==0){
			$LStrMsg="Serie y numero no registrado en $StrEmp";
			$LStrFoc="document.getElementById('$P_C').focus();";						
			$StrGT="S";
		}
		//
		if(strlen($StrGT)==0){
			ejt("DELETE FROM temp_compras2 WHERE cod_temc='$StrHWND_COT'");
			$s="SELECT * FROM cotizaciones_det WHERE id_cotizacion=$Id_P ORDER BY cx";
			$cx=0;
			$result = grs($s);			
			while ($row = $result->fetch_assoc()){
				$cx++;
				$AR_ID=$row['id_producto'];
				$AR_CA=$row['ca'];
				$AR_PR=$row['pr'];
				$AR_IM=$row['im'];
				$AR_DT=$row['dt'];
				$AR_CO=$row['co'];
				$AR_DE=$row['des'];
				$AR_CU=$row['can_uni'];
				//
				$BIT_STO=$row['bit_stock'];
				$BIT_STO_USU=$AUTOR;
				$BIT_PRE=$row['bit_precio'];
				$BIT_PRE_USU=$AUTOR;
				//				
				$s="INSERT INTO temp_compras2 VALUES ('$StrHWND_COT',
				   $AR_ID,$AR_CA,$AR_PR,$AR_IM,$cx,
				   '$AR_CO','$AR_DE',$AR_DT,$AR_CU,
				   $BIT_STO,$BIT_STO_USU,$BIT_PRE,$BIT_PRE_USU)";
				ejt($s);
			}	

		}
	}

?>